# Generated by Django 3.2.11 on 2022-01-22 12:51

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models

import utility.utils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('organisation', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Dealer',
            fields=[
                ('dealer_id', models.CharField(default=utility.utils.generate_dealer_id,
                                               max_length=30, primary_key=True, serialize=False, unique=True)),
                ('dealer_name', models.CharField(max_length=500)),
                ('dealer_address', models.TextField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('organisation', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE, to='organisation.organisation')),
                ('primary_employee', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Dealer',
                'verbose_name_plural': 'Dealers',
                'ordering': ('dealer_name',),
            },
        ),
    ]
